librime: Darts::Details::DawgNode Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
Darts::Details::DawgNode Class Reference

`#include <darts.h>`

## Public Member Functions
| DawgNode ()
void | set_child (id_type child)
void | set_sibling (id_type sibling)
void | set_value (value_type value)
void | set_label (uchar_type label)
void | set_is_state (bool is_state)
void | set_has_sibling (bool has_sibling)
id_type | child () const
id_type | sibling () const
value_type | value () const
uchar_type | label () const
bool | is_state () const
bool | has_sibling () const
id_type | unit () const

## Constructor & Destructor Documentation

## ◆ DawgNode()

Darts::Details::DawgNode::DawgNode | ( |  | ) |
| inline

## Member Function Documentation

## ◆ child()

id_type Darts::Details::DawgNode::child | ( |  | ) | const
| inline

## ◆ has_sibling()

bool Darts::Details::DawgNode::has_sibling | ( |  | ) | const
| inline

## ◆ is_state()

bool Darts::Details::DawgNode::is_state | ( |  | ) | const
| inline

## ◆ label()

uchar_type Darts::Details::DawgNode::label | ( |  | ) | const
| inline

## ◆ set_child()

void Darts::Details::DawgNode::set_child | ( | id_type | child | ) |
| inline

## ◆ set_has_sibling()

void Darts::Details::DawgNode::set_has_sibling | ( | bool | has_sibling | ) |
| inline

## ◆ set_is_state()

void Darts::Details::DawgNode::set_is_state | ( | bool | is_state | ) |
| inline

## ◆ set_label()

void Darts::Details::DawgNode::set_label | ( | uchar_type | label | ) |
| inline

## ◆ set_sibling()

void Darts::Details::DawgNode::set_sibling | ( | id_type | sibling | ) |
| inline

## ◆ set_value()

void Darts::Details::DawgNode::set_value | ( | value_type | value | ) |
| inline

## ◆ sibling()

id_type Darts::Details::DawgNode::sibling | ( |  | ) | const
| inline

## ◆ unit()

id_type Darts::Details::DawgNode::unit | ( |  | ) | const
| inline

## ◆ value()

value_type Darts::Details::DawgNode::value | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- darts.h